//                                                                  
// Copyright  2013 Lidor Systems.
// All Rights Reserved.
//
// This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND.
// either express or implied.                        
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Text;
using System.Windows.Forms;

namespace TabControl_Tab_Spacing
{
    public partial class Form1 : Form
    {
        #region Variables
        private const String referencePath = "../../../Demo/";
        #endregion

        #region Initialization
        public Form1()
        {
            InitializeComponent();

            CreateLabelContent();
        }

        private void CreateLabelContent()
        {
            String content = "<div style=\"font:Verdana,9,r\"><p>   In this sample we are showing how to change the space between tabs and increase the inside space of tab header content.</p><br></br>";
            content += "<p>   To change the space among tabs we are using <b>TabSpacing</b> property. Any value from 0 to 255 is accepted.</p><br></br>";
            content += "<p>   Each tab header can also increase the distance between its border and content. For this purpose we are using the <b>Padding</b> property from PageFormatStyle, which allows us to separately set different space for each side of tab header.</p><br></br>";
            content += "<p><table width=\"100%\" cellpadding=\"5\"><tr height=\"5\"></tr>";
            content += "<tr><td width=\"70%\" style=\"textcolor:DarkRed;hovertextcolor:Red\"><a href=\"QuickStart.exe\" id=\"FILE\">Quick Start</a></td>";
            content += "<td width=\"30%\" style=\"align:middleright;textcolor:DarkRed;hovertextcolor:Red\"><a href=\"www.lidorsystems.com/support/articles/winforms/tabcontrol/\">More Info ...</a></td></tr></table></p>";
            content += "</div>";

            this.labelInfo.Content = content;
        }

        private void labelInfo_ContentObjectClicked(object sender, LidorSystems.IntegralUI.ObjectClickEventArgs e)
        {
            if (e.Object is LinkLabel)
            {
                String relativePath = (e.Object as LinkLabel).Links[0].LinkData.ToString();

                if (e.Key == "FILE")
                {
                    String appPath = Path.GetFullPath(Path.Combine(referencePath, relativePath));
                    if (File.Exists(appPath))
                        System.Diagnostics.Process.Start(appPath);
                    else if (File.Exists(relativePath))
                        System.Diagnostics.Process.Start(relativePath);
                }
                else
                    System.Diagnostics.Process.Start(relativePath);
            }
        }
        #endregion

        #region Functionality
        private void numSpacing_ValueChanged(object sender, EventArgs e)
        {
            this.tabControl1.TabSpacing = (int)numSpacing.Value;
        }

        private void btnApply_Click(object sender, EventArgs e)
        {
            this.tabControl1.PageFormatStyle.Padding = new Padding((int)numLeft.Value, (int)numTop.Value, (int)numRight.Value, (int)numBottom.Value);
        }

        private void btnAddImages_Click(object sender, EventArgs e)
        {
            this.tabControl1.ImageList = this.imageList1;

            for (int i = 0; i < this.tabControl1.Pages.Count; i++)
            {
                if (i < this.tabControl1.ImageList.Images.Count)
                {
                    // Display the same image to a tab page when its in normal and selected state
                    this.tabControl1.Pages[i].ImageIndex = i;
                    this.tabControl1.Pages[i].SelectedImageIndex = i;
                }
            }
        }
        #endregion
    }
}