'                                                                  
' Copyright  2013 Lidor Systems.
' All Rights Reserved.
'
' This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND.
' either express or implied.                        
'

Imports System.IO

Public Class Form1

#Region "Variables"
    Private Const referencePath As [String] = "../../../Demo/"
#End Region

#Region "Initialization"
    Public Sub New()
        InitializeComponent()

        CreateLabelContent()
    End Sub

    Private Sub CreateLabelContent()
        Dim content As [String] = "<div style=""font:Verdana,9,r""><p>   In this sample we are showing how to change the space between tabs and increase the inside space of tab header content.</p><br></br>"
        content += "<p>   To change the space among tabs we are using <b>TabSpacing</b> property. Any value from 0 to 255 is accepted.</p><br></br>"
        content += "<p>   Each tab header can also increase the distance between its border and content. For this purpose we are using the <b>Padding</b> property from PageFormatStyle, which allows us to separately set different space for each side of tab header.</p><br></br>"
        content += "<p><table width=""100%"" cellpadding=""5""><tr height=""5""></tr>"
        content += "<tr><td width=""70%"" style=""textcolor:DarkRed;hovertextcolor:Red""><a href=""QuickStart.exe"" id=""FILE"">Quick Start</a></td>"
        content += "<td width=""30%"" style=""align:middleright;textcolor:DarkRed;hovertextcolor:Red""><a href=""www.lidorsystems.com/support/articles/winforms/tabcontrol/"">More Info ...</a></td></tr></table></p>"
        content += "</div>"

        Me.labelInfo.Content = content
    End Sub

    Private Sub labelInfo_ContentObjectClicked(ByVal sender As Object, ByVal e As LidorSystems.IntegralUI.ObjectClickEventArgs) Handles labelInfo.ContentObjectClicked
        If TypeOf e.[Object] Is LinkLabel Then
            Dim relativePath As [String] = TryCast(e.[Object], LinkLabel).Links(0).LinkData.ToString()

            If e.Key = "FILE" Then
                Dim appPath As [String] = Path.GetFullPath(Path.Combine(referencePath, relativePath))
                If File.Exists(appPath) Then
                    System.Diagnostics.Process.Start(appPath)
                ElseIf File.Exists(relativePath) Then
                    System.Diagnostics.Process.Start(relativePath)
                End If
            Else
                System.Diagnostics.Process.Start(relativePath)

            End If
        End If
    End Sub
#End Region

#Region "Functionality"
    Private Sub numSpacing_ValueChanged(ByVal sender As Object, ByVal e As EventArgs) Handles numSpacing.ValueChanged
        Me.tabControl1.TabSpacing = CInt(numSpacing.Value)
    End Sub

    Private Sub btnApply_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnApply.Click
        Me.tabControl1.PageFormatStyle.Padding = New Padding(CInt(numLeft.Value), CInt(numTop.Value), CInt(numRight.Value), CInt(numBottom.Value))
    End Sub

    Private Sub btnAddImages_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnAddImages.Click
        Me.tabControl1.ImageList = Me.imageList1

        For i As Integer = 0 To Me.tabControl1.Pages.Count - 1
            If i < Me.tabControl1.ImageList.Images.Count Then
                ' Display the same image to a tab page when its in normal and selected state
                Me.tabControl1.Pages(i).ImageIndex = i
                Me.tabControl1.Pages(i).SelectedImageIndex = i
            End If
        Next
    End Sub
#End Region

End Class
